aboutsummaryrefslogtreecommitdiffstats
path: root/unstable/prosody/APKBUILD
diff options
context:
space:
mode:
authorMichael Mason <ms13sp@gmail.com>2009-05-28 21:17:27 +0000
committerMichael Mason <ms13sp@gmail.com>2009-05-28 21:17:27 +0000
commitf9a0e88791e6cc00f43ddd04246712f991a5f032 (patch)
tree8208318bc9f5a1d8c4883bd6af571110fda34728 /unstable/prosody/APKBUILD
parent1e2f0b801eee6597e0ab8ffeecb740ef01abb45d (diff)
downloadaports-f9a0e88791e6cc00f43ddd04246712f991a5f032.tar.bz2
aports-f9a0e88791e6cc00f43ddd04246712f991a5f032.tar.xz
Initial Commit
Diffstat (limited to 'unstable/prosody/APKBUILD')
-rw-r--r--unstable/prosody/APKBUILD28
1 files changed, 28 insertions, 0 deletions
diff --git a/unstable/prosody/APKBUILD b/unstable/prosody/APKBUILD
new file mode 100644
index 0000000000..4cf10b2220
--- /dev/null
+++ b/unstable/prosody/APKBUILD
@@ -0,0 +1,28 @@
+# Contributor: Michael Mason <ms13sp@gmail.com>
+pkgname=prosody
+pkgver=0.4.2
+pkgrel=0
+pkgdesc="Lua based Jabber/XMPP server"
+url="http://prosody.im/"
+license="GPL"
+depends="uclibc lua libidn openssl"
+makedepends="lua-dev libidn-dev lua-dev openssl-dev"
+install=
+subpackages=""
+source="http://prosody.im/downloads/source/$pkgname-$pkgver.tar.gz"
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ PATH="/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin"
+
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc
+ make || return 1
+ make DESTDIR="$pkgdir" install
+
+ # install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+ # install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+}
+
+md5sums="2669478311b3a67522669acdf03cf85c prosody-0.4.2.tar.gz"